Download

Both releases and tracks contain information on packages which are relevant to a download store use cases.

The Package object provides information about a group of formats that are available at a certain price. For example, lossless formats may be retailed at a different price level than lossy formats.

The packagePrice object provides pricing information relevant to downloading a particular package of a track or release. In some cases, the value is not specified and the formatted price shows "xsi:nil="true"". In this case, either the release is not purchasable (tracks have to be bought individually) or, conversely, if a track price doesn't have a value, the track is not available separately (the whole release has to be purchased).

The packageFormat object provides information on each available format relevant to downloading a particular package of a track or release.

{
  "download": {
    "releaseDate": "2010-01-22T00:00:00Z",
    "previewDate": "2010-01-22T00:00:00Z",
    "packages": {
      "package": {
        "id": "2",
        "description": "standard",
        "price": {
          "currencyCode": "GBP",
          "sevendigitalPrice": "0.99",
          "recommendedRetailPrice": "0.99"
        },
        "formats": {
          "format": {
            "id": "17",
            "description": "MP3 320"
          }
        }
      }
    }
  }
}
<download>
  <releaseDate>2010-01-22T00:00:00Z</releaseDate>
  <previewDate>2010-01-22T00:00:00Z</previewDate>
  <packages>
    <package id="2">
      <description>standard</description>
      <price>
        <currencyCode>GBP</currencyCode>
        <sevendigitalPrice>0.99</sevendigitalPrice>
        <recommendedRetailPrice>0.99</recommendedRetailPrice>
      </price>
      <formats>
        <format id="17">
          <description>MP3 320</description>
        </format>
      </formats>
    </package>
  </packages>
</download>

Description of response fields

NameTypeDescription
releaseDatedatetimedate and time the release is available to download from
previewDatedatetimedate and time the release is available to preview from (optional)
packageslist of package objectslist of available packages relevant to download
currencyCodestringcode of the currency (ISO 4217)
sevendigitalPricedecimalnot for API usage - use recommendedRetailPrice instead
recommendedRetailPricedecimalnumerical value of recommended retail price
format idintegerMassiveMusic unique identifier of the Format
descriptionstringdescription of the packageFormat